update identation scripts

git-svn-id: http://svn.osgeo.org/qgis/trunk@9219 c8812cc2-4d05-0410-92ff-de0c093fc19c
This commit is contained in:
jef 2008-08-30 15:20:16 +00:00
parent 1e4e5fab04
commit 9598429fcd
4 changed files with 41 additions and 17 deletions

View File

@ -1,9 +1,6 @@
#!/bin/bash
if ! astyle.sh >/dev/null 2>&1; then
echo astyle.sh not found in path >&2
exit 1
fi
PATH=$PATH:$(dirname $0)
set -e

View File

@ -1,9 +1,15 @@
#!/bin/bash
#if ! qgsloggermig.pl >/dev/null 2>&1; then
# echo qgsloggermig.pl not found in path >&2
# exit 1
#fi
if ! type -p astyle >/dev/null; then
echo "astyle not found" >&2
exit 1
fi
if ! type -p flip >/dev/null; then
flip() {
:
}
fi
set -e
@ -23,8 +29,6 @@ export ARTISTIC_STYLE_OPTIONS="\
--min-conditional-indent=-1 \
--suffix=none"
#--break-blocks \
export ARTISTIC_STYLE_OPTIONS="\
$ARTISTIC_STYLE_OPTIONS \
--pad=oper \
@ -32,7 +36,12 @@ $ARTISTIC_STYLE_OPTIONS \
--unpad=paren"
for f in "$@"; do
#flip -ub "$f"
#qgsloggermig.pl "$f"
if ! [ -f "$f" ]; then
echo "$f not found" >&2
continue
fi
flip -ub "$f"
#qgsloggermig.pl "$f"
astyle $ARTISTIC_STYLE_OPTIONS "$f"
done

View File

@ -1,7 +1,17 @@
#!/bin/bash
if ! [ -x astyle.sh ]; then
PATH=$PATH:$(dirname $0)
PATH=$PATH:$(dirname $0)
if ! type -p astyle.sh >/dev/null; then
echo astyle.sh not found
exit 1
fi
if ! type -p colordiff >/dev/null; then
colordiff()
{
cat "$@"
}
fi
set -e

View File

@ -1,7 +1,11 @@
#!/bin/bash
if ! [ -x astyle.sh ]; then
PATH=$PATH:$(dirname $0)
PATH=$PATH:$(dirname $0)
if ! type -p colordiff >/dev/null; then
colordiff() {
cat "$@"
}
fi
set -e
@ -23,7 +27,6 @@ echo "Checking changes between $REV0 and $REV1"
ASTYLEDIFF=astyle.r$REV0-r$REV1.diff
>$ASTYLEDIFF
# reformat
for f in $MODIFIED; do
case "$f" in
@ -35,6 +38,11 @@ for f in $MODIFIED; do
;;
esac
if ! [ -s $f ]; then
# deleted
continue
fi
m=$f.r$REV1.prepare
cp $f $m